Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
Pig, mail # dev - Got a build error: missing required library: 'build/ivy/lib/Pig/javacc-4.2.jar'


Copy link to this message
-
Re: Got a build error: missing required library: 'build/ivy/lib/Pig/javacc-4.2.jar'
Alan Gates 2013-01-25, 20:03
javacc is still used in Pig trunk.  The main parser was replaced by ANTLR in 0.9, but there are still several places Pig uses javacc.

Alan.

On Jan 25, 2013, at 11:57 AM, Kyungho Jeon wrote:

> Hello,
>
> I just cloned Pig svn repository and imported into Eclipse.
> Immediately I got an error as the title.
>
> I found from jira that javacc will be removed from Pig 0.9. But I also
> found many dependencies on javacc (cc-compile) in build.xml. So is it
> still there for some reasons or just because that they are not yet
> cleaned up?
>
> Thanks,
> Kyungho.
>
> (It's my first e-mail to any kind of dev mailing list. So if it's not
> an adequate way of reporting a problem and/or asking a question,
> please let me know and fix them.)